This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 430428 - Uninstalled files with spaces in the path/filename
Uninstalled files with spaces in the path/filename
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 19:21 EST by Ignacio Vazquez-Abrams
Modified: 2008-04-01 04:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 04:22:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2008-01-27 19:21:26 EST
Description of problem:
rpm doesn't properly display installed but unpackaged files that have spaces in
the pathname.

Version-Release number of selected component (if applicable):
rpm-4.4.2.2-7.fc8

How reproducible:
Every time.

Steps to Reproduce:
1. Build a package with files or paths that contain spaces, but don't list them
in %files.
2. ???
3. Fail.

Actual results:
RPM build errors:
    Installed (but unpackaged) file(s) found:
 ...
   /usr/share/xmlcopyeditor/templates/Custom
rule
set.xml
   /usr/share/xmlcopyeditor/templates/DITA
Concept.xml
 ...

Expected results:
RPM build errors:
    Installed (but unpackaged) file(s) found:
 ...
   /usr/share/xmlcopyeditor/templates/Custom rule set.xml
   /usr/share/xmlcopyeditor/templates/DITA Concept.xml
 ...
Comment 1 Panu Matilainen 2008-01-28 02:22:38 EST
Fixed upstream, will be in 4.4.2.3 too...
Comment 2 Panu Matilainen 2008-04-01 04:22:59 EDT
Fixed in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.